<?php

namespace Litecms\News\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NewsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\News\Models\News $news)
    {
        return [
            'id'                => $news->getRouteKey(),
            'key'               => [
                'public'    => $news->getPublicKey(),
                'route'     => $news->getRouteKey(),
            ], 
            'user_id'           => $news->user_id,
            'user_type'         => $news->user_type,
            'slug'              => $news->slug,
            'name'              => $news->name,
            'featured'          => $news->featured,
            'flash'             => $news->flash,
            'main'              => $news->main,
            'description'       => $news->description,
            'images'            => $news->images,
            'published_date'    => $news->published_date,
            'deleted_at'        => $news->deleted_at,
            'url'               => [
                'public'    => trans_url('news/'.$news->getPublicKey()),
                'user'      => guard_url('news/news/'.$news->getRouteKey()),
            ], 
            'status'            => trans('app.'.$news->status),
            'created_at'        => format_date($news->created_at),
            'updated_at'        => format_date($news->updated_at),
        ];
    }
}